/* new styles added for the DATE TIME RANGE control --
-- all input fields in a form will have left and right margin; this is needed so that when complex UI controls wrap, the input fields line up, and when on the same line, they have spacing
-- these styles are considered global */
/* updated by JNG for TFS#7679 -- commented out the original styles and replaced with the following styles below -- div[id*="pnlEdit"] input, div[id*="pnlEdit"] select, div[id*="pnlEdit"] textarea { margin:0 5px 5px 10px;} */
div#pnlEdit input, div#pnlEdit select, div#pnlEdit textarea { margin:0 10px 5px 0;}

/* new styles added for the DATE TIME RANGE control, IMAGE field type and UI control, and HYPERLINK field type and UI control --
-- form elements - the "inline" classes these are used for controls that have more than a single label or input field
-- these styles are considered global */
label.fmi-form-label-checkbox {margin-left:0; margin-right:0;}
input[type="checkbox"].fmi-form-inline-input {position:relative; top:2px;}
/* updated by JNG for TFS#7679 -- original selector style definition for margin was not modified, instead, a second selector just for .fmi-form-inline-label was included with updated margin styles */ 
.fmi-form-inline-image { margin:0 5px 5px 10px;}
/*-- the following styles are used to wrap sub-components within a complex UI control so that the elements of the sub-component will stay together if the control needs to wrap */
span.fmi-form-field-sub { white-space: nowrap; } /* this one will most likely be removed */

div.fmi-form-field-sub-block { display: block;}
div.fmi-form-field-buttongroup { display: inline-block; margin: 0 0 5px 10px; } /*this is used to wrap multiple buttons that need to display together*/
div.fmi-form-field-buttongroup input { margin: 0 5px 0 0; }

/* new styles added for the DATE TIME RANGE control --
-- the following styles set the layout of the calendar control input field
-- these styles are specific to the Date Time Picker used by the Date Time Range control
-- these will be added to the Calendar.MyCalendarSkin.css file when available */
span.riSingle input.riTextBox { width: 14em; margin-right:0; }
/* updated by JNG for TFS#7679 -- included styles to adjust spacing around calendar picker controls -- these are not needed, and can be removed
div.fmi-form-field-sub-inline div.RadPicker.RadPicker_MyCalendarSkin {margin-bottom:5px; } */

/* new styles added for the DATE TIME RANGE control --
-- the following styles render the disabled time picker button that displays when All Day is true
-- these styles are specific to the Date Time Picker used by the Date Time Range control
-- these will be added to the Calendar.MyCalendarSkin.css file when available */
span.RadPicker.fmi-dtrange-time-disabled { display: inline-block; vertical-align:top;}
span.RadPicker.fmi-dtrange-time-disabled a { display: inline-block; margin:0 2px;}